summaryrefslogtreecommitdiffstats
path: root/bin/diffoscope_distribution_test.sh
diff options
context:
space:
mode:
authorChris Lamb <lamby@debian.org>2017-03-18 19:12:28 +0000
committerHolger Levsen <holger@layer-acht.org>2017-03-18 20:17:11 +0100
commit39dcb13824e170fde82426421a259d9eb7752faa (patch)
tree8ae8565175bf334766db68cbee5abe8a503aee2b /bin/diffoscope_distribution_test.sh
parent931c57bd7fc7161d307bbd1596db3da0ddd195a6 (diff)
downloadjenkins.debian.net-39dcb13824e170fde82426421a259d9eb7752faa.tar.xz
diffoscope_distribution_test.sh: Prefer experimental over unstable/sid when calculating "diffoscope in Debian" version.
Signed-off-by: Chris Lamb <lamby@debian.org> Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/diffoscope_distribution_test.sh')
-rwxr-xr-xbin/diffoscope_distribution_test.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/diffoscope_distribution_test.sh b/bin/diffoscope_distribution_test.sh
index a5808bec..6a27a087 100755
--- a/bin/diffoscope_distribution_test.sh
+++ b/bin/diffoscope_distribution_test.sh
@@ -67,7 +67,14 @@ check_whohas() {
#
# main
#
-DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|egrep '(unstable|sid)'| awk '{print $3}' || true)
+for SUITE in 'experimental' 'unstable|sid'
+do
+ DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|egrep "${SUITE}"| awk '{print $3}' || true)
+
+ if [ "$DIFFOSCOPE_IN_DEBIAN" != "" ] ; then
+ break
+ fi
+done
case $1 in
PyPI) check_pypi